=== debian/control ===
Source: ngcp-mediator
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 libglib2.0-dev,
 libhiredis-dev,
 libjson-c-dev,
 libsystemd-dev,
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-mediator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: CDR creation tool for NGCP
 This tool generates CDR entries from accounting information in a NGCP system.
